Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.uddi4j.response
Class RelatedBusinessInfo

    java.lang.Object
      org.uddi4j.UDDIElement
          org.uddi4j.response.RelatedBusinessInfo

All Implemented Interfaces:
  java.io.Serializable

public class RelatedBusinessInfo
extends UDDIElement

Represents the relatedBusinessInfo element within the UDDI version 2.0 schema. This class contains the following types of methods:

- A constructor that passes the required fields.
- A Constructor that will instantiate the object from an appropriate XML DOM element.
- Get/set methods for each attribute that this element can contain.
- A get/setVector method is provided for sets of attributes.
- A SaveToXML method that serializes this class within a passed in element.

Typically, this class is used to construct parameters for, or interpret responses from, methods in the UDDIProxy class.

Element description:

This structure contains information about one or more relationships between two businessEntitys. The information can be a businessKey, name and optional description data, and a collection element named sharedRelationships. The sharedRelationships element can contain zero or more keyedReference elements. The information in the keyedReference and businessKey elements, for a specific businessEntity, represent complete relationships when they match publisher assertions made by the publisher for each businessEntity.

Author:
  Ravi Trivedi (ravi_trivedi@hp.com), Ozzy (ozzy@hursley.ibm.com)
See Also:
  Serialized Form

Field Summary
`protected org.w3c.dom.Element` | `base`
`static java.lang.String` | `UDDI_TAG`

Fields inherited from class org.uddi4j.UDDIElement
`GENERIC, SOAPNS, XMLNS, XMLNS_PREFIX`

Constructor Summary
`RelatedBusinessInfo()` Default constructor.
`RelatedBusinessInfo(BusinessKey businessKey, java.util.Vector names, java.util.Vector sharedRelationships)` Required fields constructor.
`RelatedBusinessInfo(org.w3c.dom.Element base)` Construct the object from a DOM tree.
`RelatedBusinessInfo(java.lang.String businessKey, java.lang.String name, java.util.Vector sharedRelationships)` Required fields constructor.
`RelatedBusinessInfo(java.lang.String businessKey, java.util.Vector names, java.util.Vector sharedRelationships)` Required fields constructor.

Method Summary
`java.lang.String` | `getBusinessKey()`
`Description` | `getDefaultDescription()` Get the default Description.
`java.lang.String` | `getDefaultDescriptionString()` Get the default Description as a String.
`Name` | `getDefaultName()` Get the default name.
`java.lang.String` | `getDefaultNameString()` Get default name string.
`SharedRelationships` | `getDefaultSharedRelationships()` Get the default SharedRelationships.
`Description` | `getDescription()` Deprecated. This method has been deprecated. Use `getDescriptionVector()` or `getDefaultDescription()` instead
`java.lang.String` | `getDescriptionString()` Deprecated. This method has been deprecated. Use `getDescriptionVector()` or `getDefaultDescriptionString()` instead
`java.util.Vector` | `getDescriptionVector()` Get all deascriptions.
`Name` | `getName()` Deprecated. This method has been deprecated. Use `getNameVector()` or `getDefaultName()` instead
`java.lang.String` | `getNameString()` Deprecated. This method has been deprecated. Use `getNameVector()` or `getDefaultNameString()` instead
`java.util.Vector` | `getNameVector()` Get all names.
`SharedRelationships` | `getSharedRelationships()` Deprecated. This method has been deprecated. Use `getSharedRelationshipsVector()` or `getDefaultSharedRelationships()` instead
`java.util.Vector` | `getSharedRelationshipsVector()` Get all SharedRelationships.
`void` | `saveToXML(org.w3c.dom.Element parent)` Save an object to the DOM tree.
`void` | `setBusinessKey(java.lang.String s)`
`void` | `setDefaultDescription(Description s)` This method stores this Description as the Default Description (i.e., places it in the first location in the Vector).
`void` | `setDefaultDescriptionString(java.lang.String s, java.lang.String lang)` This method stores this String as the Default Description (i.e., places it in the first location in the Vector).
`void` | `setDefaultName(Name name)` This method stores this name as the Default Name (i.e., places it in the first location in the Vector).
`void` | `setDefaultNameString(java.lang.String value, java.lang.String lang)` This method stores this String, in the given language as the Default Name (i.e., places it in the first location in the Vector).
`void` | `setDefaultSharedRelationships(SharedRelationships s)` This method stores this name as the Default SharedRelationship (i.e., places it in the first location in the Vector).
`void` | `setDescription(Description s)` Deprecated. This method has been deprecated. Use `setDescriptionVector(Vector)` or `setDefaultDescription(Description)` instead
`void` | `setDescriptionString(java.lang.String s)` Deprecated. This method has been deprecated. Use `setDescriptionVector(Vector)` or `setDefaultDescriptionString(String, String)` instead
`void` | `setDescriptionVector(java.util.Vector s)` Set description vector.
`void` | `setName(Name s)` Deprecated. This method has been deprecated. Use `setNameVector(Vector)` or `setDefaultName(Name)` instead
`void` | `setName(java.lang.String s)` Deprecated. This method has been deprecated. Use `setNameVector(Vector)` or `setDefaultNameString(String, String)` instead
`void` | `setNameVector(java.util.Vector s)`
`void` | `setSharedRelationships(SharedRelationships s)` Deprecated. This method has been deprecated. Use `setSharedRelationshipsVector(Vector)` or `setDefaultSharedRelationships(SharedRelationships)` instead
`void` | `setSharedRelationshipsVector(java.util.Vector s)`

Methods inherited from class org.uddi4j.UDDIElement
`getChildElementsByTagName, getText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UDDI_TAG

    public static final java.lang.String UDDI_TAG

See Also:
  Constant Field Values

### base

    protected org.w3c.dom.Element base

Constructor Detail

### RelatedBusinessInfo

    public RelatedBusinessInfo()

  Default constructor. Avoid using the default constructor for validation. It does not validate required fields. Instead, use the required fields constructor to perform validation.

### RelatedBusinessInfo

    public RelatedBusinessInfo(BusinessKey businessKey,
                               java.util.Vector names,
                               java.util.Vector sharedRelationships)

  Required fields constructor. This constructor initialises the object with the fields required by the uddi specification.

Parameters:
  `businessKey` - BusinessKey
  `names` - Vector of Name objects

### RelatedBusinessInfo

    public RelatedBusinessInfo(java.lang.String businessKey,
                               java.util.Vector names,
                               java.util.Vector sharedRelationships)

  Required fields constructor. This constructor initialises the object with the fields required by the uddi specification.

Parameters:
  `businessKey` - String
  `names` - Vector of Name objects
  `sharedRelationships` - Vector of SharedRelationship objects

### RelatedBusinessInfo

    public RelatedBusinessInfo(java.lang.String businessKey,
                               java.lang.String name,
                               java.util.Vector sharedRelationships)

  Required fields constructor. This constructor initialises the object with the fields required by the uddi specification.

Parameters:
  `businessKey` - String
  `name` - String The default name for this RelatedBusinessInfo
  `sharedRelationships` - Vector of SharedRelationship objects

### RelatedBusinessInfo

    public RelatedBusinessInfo(org.w3c.dom.Element base)
                        throws UDDIException

  Construct the object from a DOM tree. Used by UDDIProxy to construct an object from a received UDDI message.

Parameters:
  `base` - Element with the name appropriate for this class.
Throws:
  `UDDIException` - Thrown if DOM tree contains a SOAP fault or a disposition report indicating a UDDI error.

Method Detail

### setSharedRelationships

    public void setSharedRelationships(SharedRelationships s)

  Deprecated. This method has been deprecated. Use `setSharedRelationshipsVector(Vector)` or `setDefaultSharedRelationships(SharedRelationships)` instead

### setDefaultSharedRelationships

    public void setDefaultSharedRelationships(SharedRelationships s)

  This method stores this name as the Default SharedRelationship (i.e., places it in the first location in the Vector).

### setSharedRelationshipsVector

    public void setSharedRelationshipsVector(java.util.Vector s)

  Parameters:
    `s` - Vector of SharedRelationships objects

### setName

    public void setName(Name s)

  Deprecated. This method has been deprecated. Use `setNameVector(Vector)` or `setDefaultName(Name)` instead

### setName

    public void setName(java.lang.String s)

  Deprecated. This method has been deprecated. Use `setNameVector(Vector)` or `setDefaultNameString(String, String)` instead

### setDefaultName

    public void setDefaultName(Name name)

  This method stores this name as the Default Name (i.e., places it in the first location in the Vector).

### setDefaultNameString

    public void setDefaultNameString(java.lang.String value,
                                     java.lang.String lang)

  This method stores this String, in the given language as the Default Name (i.e., places it in the first location in the Vector).

### setNameVector

    public void setNameVector(java.util.Vector s)

  Parameters:
    `s` - Vector of Name objects

### setDescription

    public void setDescription(Description s)

  Deprecated. This method has been deprecated. Use `setDescriptionVector(Vector)` or `setDefaultDescription(Description)` instead

### setDescriptionString

    public void setDescriptionString(java.lang.String s)

  Deprecated. This method has been deprecated. Use `setDescriptionVector(Vector)` or `setDefaultDescriptionString(String, String)` instead

### setDefaultDescription

    public void setDefaultDescription(Description s)

  This method stores this Description as the Default Description (i.e., places it in the first location in the Vector).

  Parameters:
    `s` - Description

### setDefaultDescriptionString

    public void setDefaultDescriptionString(java.lang.String s,
                                            java.lang.String lang)

  This method stores this String as the Default Description (i.e., places it in the first location in the Vector).

  Parameters:
    `s` - String

### setDescriptionVector

    public void setDescriptionVector(java.util.Vector s)

  Set description vector.

  Parameters:
    `s` - Vector of Description objects.

### setBusinessKey

    public void setBusinessKey(java.lang.String s)

### getSharedRelationships

    public SharedRelationships getSharedRelationships()

  Deprecated. This method has been deprecated. Use `getSharedRelationshipsVector()` or `getDefaultSharedRelationships()` instead

### getDefaultSharedRelationships

    public SharedRelationships getDefaultSharedRelationships()

  Get the default SharedRelationships. (i.e., the one in the first position in the vector)

  Returns:
    SharedRelationships

### getSharedRelationshipsVector

    public java.util.Vector getSharedRelationshipsVector()

  Get all SharedRelationships.

  Returns:
    Vector of SharedRelationships objects.

### getName

    public Name getName()

  Deprecated. This method has been deprecated. Use `getNameVector()` or `getDefaultName()` instead

### getNameString

    public java.lang.String getNameString()

  Deprecated. This method has been deprecated. Use `getNameVector()` or `getDefaultNameString()` instead

### getDefaultName

    public Name getDefaultName()

  Get the default name. (i.e., the one in the first position in the vector)

  Returns:
    Name

### getDefaultNameString

    public java.lang.String getDefaultNameString()

  Get default name string. (i.e., the one in the first position in the vector)

  Returns:
    String

### getNameVector

    public java.util.Vector getNameVector()

  Get all names.

  Returns:
    Vector of Name objects.

### getDescription

    public Description getDescription()

  Deprecated. This method has been deprecated. Use `getDescriptionVector()` or `getDefaultDescription()` instead

### getDescriptionString

    public java.lang.String getDescriptionString()

  Deprecated. This method has been deprecated. Use `getDescriptionVector()` or `getDefaultDescriptionString()` instead

### getDefaultDescription

    public Description getDefaultDescription()

  Get the default Description. (i.e., the one in the first position in the vector)

  Returns:
    Description

### getDefaultDescriptionString

    public java.lang.String getDefaultDescriptionString()

  Get the default Description as a String. (i.e., the first string representing the first Description in the vector)

  Returns:
    String

### getDescriptionVector

    public java.util.Vector getDescriptionVector()

  Get all deascriptions.

  Returns:
    Vector of Description objects.

### getBusinessKey

    public java.lang.String getBusinessKey()

### saveToXML

    public void saveToXML(org.w3c.dom.Element parent)

  Save an object to the DOM tree. Used to serialize an object to a DOM tree, usually to send a UDDI message.
  Used by UDDIProxy.

  Specified by:
    `saveToXML` in class `UDDIElement`
  Parameters:
    `parent` - Object will serialize as a child element under the passed in parent element.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 International Business Machines Corporation, Hewlett-Packard Company. All Rights Reserved.